if(typeof(dijit) != "undefined") {
	var widget = dijit.getEnclosingWidget(node);
	if(widget) {
		var widgetType = widget.declaredClass;
		if(widgetType == 'dijit.layout._AccordionButton') {
			// get the accordion container and set the active child
			if(widget.getParent && widget.contentWidget) {
				widget.getParent().selectChild(widget.contentWidget);
				com.ibm.rpe.Editor.repaint();
			}
		} else if(widgetType == 'dijit.layout._TabButton') {
			// get the tabController that owns the button
			var parentWidget = dijit.getEnclosingWidget(widget.domNode.parentNode); 
			if(parentWidget) {
				var index = parentWidget.getIndexOfChild(widget);
				// get the actual tab container
				var tabContainer = dijit.getEnclosingWidget(parentWidget.domNode.parentNode);  
				if(tabContainer && ('dijit.layout.TabContainer' == tabContainer.declaredClass)) {
					tabContainer.selectChild(tabContainer.getChildren()[index]);
					com.ibm.rpe.Editor.repaint();
				}
			}
		} else if (widgetType == 'dojox.mobile.TabContainer') {
			// dojox.mobile.TabContainer selection is weird. The 'mblTabButton' is expected
			// for the argument to selectTab
			var currNode = node;
			//special cases
			while(!dojo.hasClass(currNode, 'mblTabButton')) {
				currNode = currNode.parentNode;
			}
			if (currNode) {
				widget.selectTab(currNode);
				com.ibm.rpe.Editor.repaint();
			}
		}
	}
}