// Check if the view is in the document
if(document.getElementById("{1}") != null || {5}) {

	// Keep track of visible views
	window.currentlyVisibleViews = new Array();
	window.currentlyVisibleViewCount = 0;
	dijit.registry.forEach(function(widget){
		if(widget instanceof dojox.mobile.View && widget.domNode.style.display !== "none"){
			window.currentlyVisibleViews[window.currentlyVisibleViewCount++] = widget;
		}
	});
	
	// Obtain widget that performs the transition
	var widget = dijit.getEnclosingWidget(com.ibm.rpe.Editor.findNodeById('{0}'));
	
	// Keep track of the widget transition information
	var currentWidgetTransitionDir = widget.transitionDir;
	var currentWidgetTransition = widget.transition;
	
	// Set transition parameters
	widget.transitionDir = {2};
	widget.transition = "{3}";
	
	// Perform transition
	if({5}) { // Check if it is an external fragment or inline view
		widget.transitionTo(null, null, "{1}", null);
	} else {
		widget.transitionTo("{1}");
	}
	
	// Restore widget transition information
	widget.transitionDir = currentWidgetTransitionDir;
	widget.transition = currentWidgetTransition;
	
	// After a delay, restore visible views
	setTimeout(function() {
		for(i = 0; i < window.currentlyVisibleViewCount; i++) {
			if(dojo.version.major > 1 || dojo.version.minor > 5) {
				window.currentlyVisibleViews[i].show();
			} else {
				dijit.registry.byId("{1}").performTransition(window.currentlyVisibleViews[i].id, 1, null, null, null);		
			}
		}
		delete window.currentlyVisibleViews;
		delete window.currentlyVisibleViewCount;
	},{4});
	return "success";
} else {
	return "fail";
}