// hijack the alert() function so that user script doesn't cause a modal dialog over the editor
window.alert = function(str) {
	if(str) {
		// logging to stderr for now - we can turn this off entirely
		//log('alert: '+str);
	}
}

// similar for confirm()
window.confirm = function(str) {
	if(str) {
		//log('confirm: '+str);
	}
	return true;
}

// and for prompt()
window.prompt = function(str, input) {
	if(str) {
		//log('prompt: '+str);
	}
	if(input && (typeof cordova == 'undefined')) { // Cordova 'prompts' continually if we echo
		return input;
	} else {
		return null;
	}
}

//define a console.log function if it's not available so that various js libraries can deal with errors
if(typeof(console) === 'undefined') {
	console = {};
}
console.log = function(val) {
	//log('console.log: '+val);
}

