var bootstrapper = function() {
	var noJquery = false;
	var noJqueryMobile = false;

	if((typeof jQuery) === 'undefined') {
		noJquery = true;
		noJqueryMobile = true;
	} else if((typeof jQuery.mobile) === 'undefined') {
		noJqueryMobile = true;
	} 

	var head = document.getElementsByTagName('head')[0];

	if(noJquery) {
		var script = document.createElement('script');
		script.src = '{0}';
		head.appendChild(script);
	}

	if(noJqueryMobile) {
		var script = document.createElement('script');
		script.src = '{1}';
		head.appendChild(script);
		var link = document.createElement('link');
		link.rel = 'stylesheet';
		link.href = '{2}';
		head.appendChild(link);
	}
};

// we need to guarantee that we run the overrides after other scripts may have also required module imports
if(window.addEventListener) {
	window.addEventListener('load', bootstrapper, false);
} else if(window.attachEvent) {
	// IE
	window.attachEvent('onload', bootstrapper);
} else {
	// if all else fails, do it the ancient way
	var func = window.onload;
	window.onload = function() {
		func && func();
		bootstrapper();
	}
}