var prefs = Components.classes["@mozilla.org/preferences-service;1"].getService(Components.interfaces.nsIPrefBranch);

//TODO: to disable the unresponsive-script popup, set it to 0
//when that's in place though, a truly hung script will hang RAD.
//we should explore having our own timer (waiting for a completed() callback
//in the browser's ProgressListener?) and after a certain interval reset
//the browser's contents again but this time with the enable-javascript preference
//turned off.  If it's a rich page it won't look right but at least it will open
//in the editor (some sort of status line error message indicating the broken script
//would help too).
prefs.setIntPref("dom.max_script_run_time", 20);
		
// turn off all browser caching
prefs.setBoolPref("browser.cache.memory.enable", false);
prefs.setBoolPref("browser.cache.disk.enable", false);
	
// disable the Work Offline mode for network-disconnected cases
prefs.setBoolPref("browser.offline", false);
prefs.setBoolPref("network.manage-offline-status", false);
prefs.setBoolPref("toolkit.networkmanager.disable", true);

// fix some security prefs so that file:// urls work (ex. for image icons)
prefs.setBoolPref("security.fileuri.strict_origin_policy", false);
prefs.setCharPref("capability.policy.policynames", "localfilelinks");
prefs.setCharPref("capability.policy.localfilelinks.sites", "http:");
prefs.setCharPref("capability.policy.localfilelinks.checkloaduri.enabled", "allAccess");

// save out our required changes - this gets stored in prefs.js in xulrunner's data directory
var prefsService = Components.classes["@mozilla.org/preferences-service;1"].getService(Components.interfaces.nsIPrefService);
prefsService.savePrefFile(null);
