(function() {
	var node = com.ibm.rpe.Editor.findNodeById('669891');

	//com.ibm.rpe.Editor.printNode(document.getElementsByTagName('body')[0]);
	for (var j = 0; j < document.styleSheets.length; j++) {
		printRules(getRules(document.styleSheets[j]));
	}

	function printRules(rules) {
		for (var i = 0; i < rules.length; i++) {
			if (rules[i].type == 1) {
				if (matches(rules[i].selectorText, node)) {
					log(( rules[i].parentStyleSheet.href ? rules[i].parentStyleSheet.href : "inline" ) + ": "+ rules[i].selectorText);
					for (var k = 0; k < rules[i].style.length; k++) {
						var name = rules[i].style[k];
						log('\t' + name + ": " + rules[i].style[name]);
					}
				}
			}
			else if (rules[i].type == 3) {
				printRules(getRules(rules[i].styleSheet));
			}
		}
	}

	/* Cross-browser support for stylesheet rules */
	function getRules(styleSheet) {
		return styleSheet.rules ? styleSheet.rules : styleSheet.cssRules;
	}

	function matches(selectorText, element) {
		if (element.mozMatchesSelector) {
			return element.mozMatchesSelector(selectorText);
		}
		else if (element.webkitMatchesSelector) {
			return element.webkitMatchesSelector(selectorText);
		}
		return queryMatch(selectorText, element);
	}

	function queryMatch(selectorText, element) {
		var results = element.parentNode.querySelectorAll(rules[i].selectorText);
		for (var k = 0; k < results.length; k++) {
			if (results[k] == element) {
				return true;
			}
		}
		return false;
	}

})();